#include <WiFi.h>
#include <WiFiServer.h>

const char* ssid = "ESP_AP";
const char* password = "123456789";
WiFiServer server(80);

void setup() {
    Serial.begin(115200);
    delay(10);

    Serial.println();
    Serial.println("Setting up AP...");
    WiFi.softAP(ssid, password);

    IPAddress IP = WiFi.softAPIP();
    Serial.print("AP IP address: ");
    Serial.println(IP);
    server.begin();
    Serial.println("Server started");
}

void loop() {
    WiFiClient client = server.available(); // 监听是否有新的客户端连接
    if (client) {
        Serial.println("New Client connected.");
        String currentLine = "";
        while (client.connected()) {
            if (client.available()) {
                char c = client.read();
                currentLine += c;
            }
        }
        Serial.print("Received: ");
        Serial.println(currentLine); // 打印收到的信息
        client.stop();
        Serial.println("Client Disconnected.");
    }
}
